%define name     airfart
%define version  v.2
%define release  1

Name:      %{name}
Version:   %{version}
Release:   %{release}
URL:       http://airfart.sourceforge.net
Copyright: GPL
Group:     Networking
Summary:   Wireless Signal Strength Detector
Source:    %{name}-%{version}.tar.gz
Packager:  Michael Golden <naugrim@email.byu.edu>
Provides:  %{name}
BuildRoot: %{_builddir}/%{name}-%{version}-root

%description
Airfart is a wireless tool created to detect wireless devices, calculate their signal strengths, and present them to the user in an easy-to-understand fashion. It is written in C/C++ with a GTK front end. Airfart supports all wireless network cards supported by the linux-wlan-ng Prism2 driver that provide hardware signal strength information in the "raw signal" format (ssi_type 3). Airfart implements a modular n-tier architecture with the data collection at the bottom tier and a graphical user interface at the top.


%prep
%setup -n %{name}-%{version}
rm -rf $RPM_BUILD_ROOT

%build
%make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ChangeLog TODO Authors LICENSE README
%{_mandir}/man1/airfart.1*
%{_bindir}/airfart
/usr/share/airfart
/usr/share/airfart/manuf
/usr/share/pixmaps/airfart
/usr/share/pixmaps/airfart/about_menu.png
/usr/share/pixmaps/airfart/offlight.png
/usr/share/pixmaps/airfart/onlight.png
/usr/share/pixmaps/airfart/statusbar.png


%changelog
* Fri Mar 07 2003
- Updated RPM to Airfart 0.2

* Sat Dec 14 2002 Michael Golden <naugrim@email.byu.edu>
- Initial RPM Release


